Name:           imageshack-uploader
Version:        2.3.0
Release:        %mkrel 1
Summary:        Official Image and Video uploader for imageshack.us web site
License:        BSD
Group:          Graphics/Utilities
Url:            http://code.google.com/p/imageshack-uploader/

# With 'hg clone https://code.google.com/p/imageshack-uploader/'
Source0:        %name.tar.gz

# Patch provided from François Boulogne <boulogne.f@gmail.com> and
# Dimitrios Glentadakis <dglent@gmail.com>
# to build with ffmpeg 1.1.5
# (http://code.google.com/p/imageshack-uploader/issues/detail?id=192)
# and merged with a modification to build with ffmpeg 1.1.5 api.  (mga#5131)
# 2013-12-01: Fix 'avcodec_open' compile error with ffmpeg 2.0.2
Patch0:         imageshack-uploader-2.3.0-mga-ffmpeg_fas.c.patch

# This patch adds Greek translation for the desktop file
# Adds imageshack-uploader in images MIME types (jpg, png etc)
# Adds application categories
Patch1:         imageshack-uploader-2.3.0-mga-desktop-file.patch

# This patch fix the login failure problem
# http://code.google.com/p/imageshack-uploader/issues/detail?id=243
Patch2:         imageshack-uploader-2.3.0-mga-fix-fail-to-login.patch

# This patch fixes the build with gcc4.7
Patch3:         imageshack-uploader-2.3.0-mga-gcc7-patch

# The imagemagick is needed only for the 'convert' commande
# in the section 'install'
BuildRequires:  imagemagick
BuildRequires:  qt4-devel
BuildRequires:  ffmpeg-devel

Requires:       qt4-common
Requires:       ffmpeg

%description
The uploader allows to upload images and videos in bulk
to http://imageshack.us/ web site.
Works on Windows, Linux, MaxOS. It have also Twitter support,
so you can tweet short (using http://yfrog.com/) links
to newly uploaded images and video.

%prep
%setup -q -n %{name}
%apply_patches

%build
export IMAGESHACK_DEVELOPER_KEY="38GHPTVX530ddbb2d8b3bb1b0cd7109c5c428ec0"
%qmake_qt4
%make

%install
%__mkdir -p %{buildroot}%{_bindir}
%__mkdir -p %{buildroot}%{_datadir}/%{name}/translations/
%__mkdir -p %{buildroot}%{_datadir}/applications/
%__mkdir -p %{buildroot}{%{_miconsdir},%{_liconsdir}}
%__mkdir -p %{buildroot}%{_datadir}/doc/%{name}

%__install -D -m 755 %name %{buildroot}%{_bindir}/
%__install -D -m 644 translations/*.qm %{buildroot}%{_datadir}/%{name}/translations/
%__install -D -m 644 imageshackuploader.desktop %{buildroot}%{_datadir}/applications/
%__install -D -m 644 images/imageshack.png %{buildroot}%{_iconsdir}/imageshack.png
%__install -D -m 644 msibuild/license.rtf %{buildroot}%{_datadir}/doc/%{name}/

convert -scale 16x16 %{buildroot}%{_iconsdir}/imageshack.png %{buildroot}%{_miconsdir}/imageshack.png
convert -scale 48x48 %{buildroot}%{_iconsdir}/imageshack.png %{buildroot}%{_liconsdir}/imageshack.png
convert -scale 32x32 %{buildroot}%{_iconsdir}/imageshack.png %{buildroot}%{_iconsdir}/imageshack.png

%__cat > %{name}.lang << EOF
%lang(ar_IQ) %{_datadir}/%{name}/translations/ar_IQ.qm
%lang(bg_BG) %{_datadir}/%{name}/translations/bg_BG.qm
%lang(cz_CZ) %{_datadir}/%{name}/translations/cz_CZ.qm
%lang(de_DE) %{_datadir}/%{name}/translations/de_DE.qm
%lang(el_GR) %{_datadir}/%{name}/translations/el_GR.qm
%lang(en_US) %{_datadir}/%{name}/translations/en_US.qm
%lang(es_ES) %{_datadir}/%{name}/translations/es_ES.qm
%lang(fi_FI) %{_datadir}/%{name}/translations/fi_FI.qm
%lang(fr_FR) %{_datadir}/%{name}/translations/fr_FR.qm
%lang(hu_HU) %{_datadir}/%{name}/translations/hu_HU.qm
%lang(it_IT) %{_datadir}/%{name}/translations/it_IT.qm
%lang(ka_GE) %{_datadir}/%{name}/translations/ka_GE.qm
%lang(kr_KR) %{_datadir}/%{name}/translations/kr_KR.qm
%lang(lt_LT) %{_datadir}/%{name}/translations/lt_LT.qm
%lang(lv_LV) %{_datadir}/%{name}/translations/lv_LV.qm
%lang(nb_NO) %{_datadir}/%{name}/translations/nb_NO.qm
%lang(nl_NL) %{_datadir}/%{name}/translations/nl_NL.qm
%lang(pl_PL) %{_datadir}/%{name}/translations/pl_PL.qm
%lang(pt_BR) %{_datadir}/%{name}/translations/pt_BR.qm
%lang(ro_RO) %{_datadir}/%{name}/translations/ro_RO.qm
%lang(ru_RU) %{_datadir}/%{name}/translations/ru_RU.qm
%lang(sk_SK) %{_datadir}/%{name}/translations/sk_SK.qm
%lang(sv_SE) %{_datadir}/%{name}/translations/sv_SE.qm
%lang(th_TH) %{_datadir}/%{name}/translations/th_TH.qm
%lang(tr_TR) %{_datadir}/%{name}/translations/tr_TR.qm
%lang(zh_CN) %{_datadir}/%{name}/translations/zh_CN.qm
EOF

%files -f %{name}.lang
%doc README.txt
%dir %{_datadir}/%{name}/translations
%dir %{_datadir}/%{name}/
%{_bindir}/%{name}
%{_datadir}/applications/imageshackuploader.desktop
%{_miconsdir}/imageshack.png
%{_liconsdir}/imageshack.png
%{_iconsdir}/imageshack.png
%{_datadir}/doc/%{name}/license.rtf



%changelog
* Sun Dec 01 2013 dglent <dglent> 2.3.0-1.mga4
+ Revision: 554433
- Fix build with ffmpeg 2.0.2
- Cosmetic changes in spec
- Fix desktop file categories
- Patch for new version of ffmpeg
- Add lang tags in spec
- Add imageshack-uploader license
- Update Category
- Patch to build with gcc7
- Add patch to fix login failure
- Patch added to build with ffmpeg 0.10.2 new api (mga#5131)
- Added patch to build with ffmpeg 0.10-2 (mga#5131)
- Add a patch to compile with ffmpeg, add a patch for the desktop icon (mga#5131)

  + obgr_seneca <obgr_seneca>
    - set release to 0.gitdate.1 since it's a prerelease
    - cleaned up spec

  + vaci0 <vaci0>
    - Fixed path in %%install section and .desktop
    - imported package imageshack-uploader

